EmbodiFlowDocs
Open console
Get startedDataWorkflows and algorithmsTraining and deploymentDeveloper reference
  • Developer reference

Authentication

  • Authentication overview
  • API keys
  • Personal access tokens
  • Browser sessions

REST API

  • Using the REST API
  • All endpoints
  • Projects
    • Recordings
      • Upload
        • Episodes and versions
          • GET
            Get a dataset version composition profile
          • GET
            List quality findings for a dataset version composition profile
          • POST
            Create a composition profile request
          • GET
            List composition profiles for a dataset version
          • GET
            Count episodes matching a filter
          • POST
            Apply label and segment operations to a selection of episodes
          • GET
            Semantic search availability and index coverage for the project
          • GET
            List episodes in a project
          • GET
            Get an episode
          • GET
            List revisions of an episode
          • POST
            Append one episode revision (never If-Match)
          • GET
            Find similar episodes in the same project
          • GET
            List version aliases in a project
          • DELETE
            Delete a version alias
          • PUT
            Create or move a version alias
          • GET
            List versions in a project
          • POST
            Create a version from a selection of episodes
          • DELETE
            Move a version to trash
          • GET
            Get a version
          • PATCH
            Patch version name, readme, and licence
          • GET
            Get a version citation
          • GET
            List episodes in a version
          • POST
            Preview a version selection without writing
        • Annotation
          • Quality and tasks
            • Search
              • Workflows
                • Algorithms
                  • Models
                    • Artifacts and export
                      • Billing and usage
                        • Team and governance
                          • Account and notifications
                            • Webhook endpoints

                              Events

                              • Outbound events
                              • Signature verification

                              Tools

                              • CLI
                              • SDK
                              • MCP

                              Updates

                              • Changelog

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. Developer reference
                              2. REST API
                              3. Episodes and versions
                              4. Semantic search availability and index coverage for the project

                              Semantic search availability and index coverage for the project

                              GET
                              /v1/projects/{projectId}/episode-search-status
                              curl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/episode-search-status' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'

                              Authorization

                              Send a personal access token with every request.

                              • Authorization: Bearer PAT
                              Authentication guide

                              Path parameters

                              • projectIdstringrequired

                              Responses

                              Success

                              • dataobjectrequired
                                • enabledone ofrequired
                                • indexedCountnumberrequired
                                • notIndexedCountnumberrequired
                              Response example
                              {
                                "data": {
                                  "enabled": false,
                                  "indexedCount": 0,
                                  "notIndexedCount": 0
                                }
                              }
                              Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              Previous

                              POST /projects/{projectId}/episode-operations

                              Next

                              GET /projects/{projectId}/episodes

                              curl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/episode-search-status' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'
                              Response example
                              Status code
                              200
                              ​
                              {
                                "data": {
                                  "enabled": false,
                                  "indexedCount": 0,
                                  "notIndexedCount": 0
                                }
                              }